[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CreateBrush

Creates the Brush, if not already created.

## Declaration

Source position: controls.pp line 2191

`protected procedure TWinControl.CreateBrush; virtual;`

## Description

Creates and assigns a TBrush instance used in the Brush property. The brush Color is updated using the resolved value in the Color property. clDefault in Color causes the default brush color value from the widgetset to be used.

CreateBrush is called when the value for the Brush property is read, and the member has not yet been assigned.

## See also

TWinControl.Brush |  | The Brush used to paint the background for the control.
TControl.Color |  | The background color for the control.
TControl.GetDefaultColor |  | Gets the default color for the control.
TBrush |  | The Brush to be used to Paint on the current Canvas.